Robotsystem from Robot Group Leipzig: Vector3 Class Template Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# Vector3 Class Template Reference

`#include <vector.h>`

Collaboration diagram for Vector3:

[legend]
List of all members.

## Detailed Description

### template<class T>
class lpzrobots::Vector3< T >

Definition at line 173 of file vector.h.

## Public Member Functions
| Vector3 (const T &r_x=static_cast< T >(0), const T &r_y=static_cast< T >(0), const T &r_z=static_cast< T >(0))
| Vector3 (const T *p)
template<class U>
| Vector3 (const Vector3< U > &r_other)
template<class U>
Vector3< T > | operator- (const Vector3< U > &r_rhs) const
template<class U>
Vector3< T > | operator+ (const Vector3< U > &r_rhs) const
template<class U>
Vector3< T > | operator/ (const U &r_rhs) const
Vector3< T > | get_unit_vector () const
Vector3< T > & | make_unit_length ()
template<class U>
Vector3< T > & | operator= (const Vector3< U > &r_rhs)
double | square_length () const
double | length () const
| operator T * ()

## Constructor & Destructor Documentation

Vector3 | ( | const T & | r_x = `static_cast<T>(0)`,
|  | const T & | r_y = `static_cast<T>(0)`,
|  | const T & | r_z = `static_cast<T>(0)`
| ) | `[inline]`

| Definition at line 186 of file vector.h.

Vector3 | ( | const T * | p | ) | `[inline]`

| Definition at line 196 of file vector.h.

Vector3 | ( | const Vector3< U > & | r_other | ) | `[inline]`

| Definition at line 202 of file vector.h.

## Member Function Documentation

Vector3<T> get_unit_vector | ( |  | ) | const`[inline]`

| Definition at line 235 of file vector.h.

double length | ( |  | ) | const`[inline]`

| Definition at line 286 of file vector.h.

Vector3<T>& make_unit_length | ( |  | ) | `[inline]`

| Definition at line 246 of file vector.h.

operator T * | ( |  | ) | `[inline]`

| Definition at line 291 of file vector.h.

Vector3<T> operator+ | ( | const Vector3< U > & | r_rhs | ) | const`[inline]`

| Definition at line 218 of file vector.h.

Vector3<T> operator- | ( | const Vector3< U > & | r_rhs | ) | const`[inline]`

| Definition at line 210 of file vector.h.

Vector3<T> operator/ | ( | const U & | r_rhs | ) | const`[inline]`

| Definition at line 226 of file vector.h.

Vector3<T>& operator= | ( | const Vector3< U > & | r_rhs | ) | `[inline]`

| Definition at line 260 of file vector.h.

double square_length | ( |  | ) | const`[inline]`

| Definition at line 280 of file vector.h.

## Member Data Documentation

T c[3]`[protected]`

| Definition at line 181 of file vector.h.

T x`[protected]`

| Definition at line 177 of file vector.h.

T y`[protected]`

| Definition at line 178 of file vector.h.

T z`[protected]`

| Definition at line 179 of file vector.h.